/* iRiver iFP 7XX Emulator
   Copyright (C) 2005 Tomasz Malesinski <tmal@mimuw.edu.pl>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

#ifndef _LOG_H_
#define _LOG_H_

#include <stdio.h>

#define LOG_GENERAL 0
#define LOG_GPIO 1
#define LOG_FLASH 2
#define LOG_LCD 3
#define LOG_FW_FLASH 4
#define LOG_MEMORY 5
#define LOG_ADC 6
#define LOG_TRACE 7
#define LOG_GDB 8
#define LOG_I2C 9

int log_check(int source, int level);
int logmsg(int source, int level, const char *format, ...);
void log_set_fp(FILE *fp);

#endif
